#!/bin/bash
md5files=$(cat .uploaded)

IP=192.168.222.40
if [ "$#" != 0 ]; then
	IP="$1"
fi

for i in $(ls *.py)
do
   if [[ $md5files != *"$(md5sum $i | cut -d' ' -f1)"* ]]; then
       echo $(md5sum $i)
       webrepl_cli.py -p asdf $i $IP:/$i
       md5files=$(echo $md5files | sed 's|:\([^:]*\)'"$i"'||g'):$(md5sum "$i")
       echo "$md5files" > .uploaded
   fi
done
